import { NamedBreadcrumb } from './BreadcrumbContext';
export declare class Breadcrumbs {
    #private;
    constructor(data?: NamedBreadcrumb[]);
    get(path: string): string | undefined;
    addBreadcrumb({ path, name }: {
        path: string;
        name?: string;
    }): Breadcrumbs;
    deleteBreadcrumb(path: string): Breadcrumbs;
    truncateBreadcrumbs(path: string): Breadcrumbs;
    clear(): Breadcrumbs;
    hasPrefix(path: string): boolean;
    has(path: string): boolean;
    keys(): string[];
    entries(): [string, string][];
}
